Name:           dotconf
Version:        1.3
Release:        24
Summary:        A configuration file parser
License:        LGPLv2
URL:            https://github.com/williamh/dotconf
Source:         https://github.com/williamh/dotconf/archive/v%{version}.tar.gz
# https://github.com/williamh/dotconf/commit/6382711e9b0060bbd0408df512e48b2ce9cdb3be
Patch0:         Fix-possible-buffer-overflow-in-get_path.patch
BuildRequires:  findutils glibc-common make autoconf automake libtool

%description
The dotconf package contains a library used to handle configuration
files.

%package        devel
Summary:        Development files for dotconf
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconf-pkg-config

%description    devel
The dotconf-devel package contains libraries and header files for
developing applications that use dotconf.

%package        help
Summary:        Documents for dotconf

%description    help
The dotconf-help package contains related documents.


%prep
%autosetup -n dotconf-%{version} -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install

%delete_la

mv %{buildroot}/%{_docdir}/%{name} __doc_dir

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc AUTHORS COPYING
%{_libdir}/libdotconf*.so.*

%files devel
%{_libdir}/libdotconf*.so
%{_includedir}/dotconf.h
%{_libdir}/pkgconfig/dotconf.pc

%files help
%doc README
%doc __doc_dir/*

%changelog
* Wed Nov 29 2023 yaoxin <yao_xin001@hoperun.com> - 1.3-24
- Fix possible buffer overflow in get_path

* Tue Sep 8 2020 liuweibo <liuweibo10@huawei.com> - 1.3-23
- Fix Source0

* Fri Feb 14 2020 Tianfei <tianfei16@huawei.com> - 1.3-22
- Package init
